# Uses of Class
java.security.cert.CertStore

Packages that use CertStore
Package
Description
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.

## Uses of CertStore in java.security.cert

Methods in java.security.cert that return CertStore
Modifier and Type
Method
Description
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params)`
Returns a `CertStore` object that implements the specified `CertStore` type and is initialized with the specified parameters.
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params, String provider)`
Returns a `CertStore` object that implements the specified `CertStore` type.
`static CertStore`
CertStore.`getInstance​(String type, CertStoreParameters params, Provider provider)`
Returns a `CertStore` object that implements the specified `CertStore` type.
Methods in java.security.cert that return types with arguments of type CertStore
Modifier and Type
Method
Description
`List<CertStore>`
PKIXParameters.`getCertStores()`
Returns an immutable `List` of `CertStore`s that are used to find certificates and CRLs.
Methods in java.security.cert with parameters of type CertStore
Modifier and Type
Method
Description
`void`
PKIXParameters.`addCertStore​(CertStore store)`
Adds a `CertStore` to the end of the list of `CertStore`s used in finding certificates and CRLs.
Method parameters in java.security.cert with type arguments of type CertStore
Modifier and Type
Method
Description
`void`
PKIXParameters.`setCertStores​(List<CertStore> stores)`
Sets the list of `CertStore`s to be used in finding certificates and CRLs.